function CloseModalpopup() {
    $("#ModalDependency").hide();
}

$(function () {
    $("#testcasebutton").on("click", function () {
        $("#ctl00_DependancyLi").removeClass("active");
        $("#ctl00_TestCaseLi").addClass("active");
        $("#dependancydiv").hide();
        $("#testcasediv").show();

        $.ajax({
            url: '/Pages/BaseFramework/MyDashBoard.aspx/SearchTestCase',
            type: 'POST',
            contentType: 'application/json;charset=utf-8',
            dataType: 'json',
            success: function (data) {
                $("#TestCaseDetail").html('');
                var tableData = '<table border="1" width="100%" Id="Table_"><tr><td width="20%" style="background:grey;color:#fff;">Type</td>' + '<td style="background:grey;color:#fff;">TestCase</td>' + '<td style="background:grey;color:#fff;">Result</td></tr>';
                var datas = $.parseJSON(data.d);
                if (datas.length == 0) {
                    tableData += '<tr><td colspan="3" class="record" style="text-align:center;">No records found..!!..!!</td></tr>';
                }
                else {
                    for (var i = 0; i < datas.length; i++) {
                        tableData += '<tr><td style="color:Black;overflow-wrap:anywhere;">' + datas[i].Type + '</td><td style="color:Black;">' + datas[i].TestCase + '</td><td style="color:black;">' + datas[i].Result + '</td></tr>';
                    }
                }

                tableData += '</table>';
                $('#TestCaseDetail').append(tableData);
                $("#Table_").addClass("table table-striped table-bordered gridviewfont");
            }
        });
    });
});
